<?php

require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/AbstractActionBase.class.php';
require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/BeanFactory.class.php';
require_once 'Notification.class.php';

abstract class User_ActionBase extends Xoonips_AbstractActionBase {	
	
	public function User_ActionBase($dirname = null)  {
		parent::Xoonips_AbstractActionBase($dirname);
		$root =& XCube_Root::getSingleton();
		$root->mLanguageManager->loadPageTypeMessageCatalog(XCUBE_CORE_USER_MODULE_NAME);
		global $xoopsDB;
		$this->notification = new User_Notification($xoopsDB, $this->dirname, $this->trustDirname);		
	}
}

